Bug 105707 - SmartArt from PowerPoint 2007 is silently ~not imported
Summary: SmartArt from PowerPoint 2007 is silently ~not imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.2.6
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 16:51 UTC by Miklos Vajna
Modified: 2017-02-15 16:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (42.37 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-02 16:51 UTC, Miklos Vajna
Details
Same document, but re-saved in MSO 2010. (45.38 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-02 16:52 UTC, Miklos Vajna
Details
Bugdoc with invalid relid (45.26 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-10 13:33 UTC, Miklos Vajna
Details
Bugdoc with empty drawingML fallback. (44.26 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-10 15:47 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-02-02 16:51:39 UTC
Created attachment 130854 [details]
Reproducer document.

It is a known problem for experienced users that SmartArt has a drawingML fallback when saved in MSO 2010 and newer, and LO can do a reasonably good import of it from PPTX to Impress. But when the SmartArt is saved with MSO 2007, then we almost import nothing from the SmartArt.

It would be nice to at least raise a warning to the user when this situation happens in interactive mode: the workaround is easy (ask the sender of the doc to re-save in MSO 2010 or newer) and the full solution is rather complex, so probably won't happen soon.
Comment 1 Miklos Vajna 2017-02-02 16:52:14 UTC
Created attachment 130855 [details]
Same document, but re-saved in MSO 2010.

See how re-saving is a workaround for the problem.
Comment 2 Commit Notification 2017-02-03 08:25:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae828495be9c2ac5fdb4c1747ed7bdd51e5d87a7

tdf#105707 PPTX import: warn when SmartArt is missing DrawingML fallback

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-02-09 09:29:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0759e728436052e560285849b30a9ec8a13bef5&h=libreoffice-5-3

tdf#105707 PPTX import: warn when SmartArt is missing DrawingML fallback

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-09 09:31:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3687612a93813449cfc68ce5ece3b785560b2e58&h=libreoffice-5-2

tdf#105707 PPTX import: warn when SmartArt is missing DrawingML fallback

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2017-02-10 13:33:10 UTC
Created attachment 131074 [details]
Bugdoc with invalid relid

One more related situation is when there is a reference to a drawingml fallback, but it does not resolve to a non-empty fragment path, I'm attaching such a bugdoc. We have to warn in this case as well.
Comment 6 Miklos Vajna 2017-02-10 15:47:19 UTC
Created attachment 131080 [details]
Bugdoc with empty drawingML fallback.

A second related situation: there is a drawingML fallback in the file, but the shape tree is empty. This is as "useful" as having no drawingML fallback at all.
Comment 7 Commit Notification 2017-02-10 16:00:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d732b498bab244cde6978e9389511a940101995

Related: tdf#105707 PPTX import: warn on invalid SmartArt fallback relid

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-02-10 19:08:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c6776f27cef1e2b7b40957f1801b08707bc3230

Related: tdf#105707 PPTX import: warn on empty SmartArt fallback

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-02-13 08:16:30 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e253b2ace59e0befce8fe22a0d5afd40b313d4f

Related: tdf#105707 PPTX import: decode document name from URL

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-02-13 08:21:49 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac0b2c90a9ae6a6442111b72113257fa16916d47&h=libreoffice-5-3

Related: tdf#105707 PPTX import: decode document name from URL

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-02-13 08:29:21 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=095d781218d1b13764566c5b840e866758221dca&h=libreoffice-5-2

Related: tdf#105707 PPTX import: decode document name from URL

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-02-14 16:31:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ad76f312bfe1161201ff44e523623729dd80738&h=libreoffice-5-3

Related: tdf#105707 PPTX import: warn on invalid/empty SmartArt fallback relid

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-02-15 16:47:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4bef184a4b88b7dbb4edf0ccde6bd5bff668e729&h=libreoffice-5-2

Related: tdf#105707 PPTX import: warn on invalid/empty SmartArt fallback relid

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.